#!/bin/bash
# GPLv3
# v1.0 higuita@gmx.net 2010-10-05

# create a stable location for the last backup for
# each machine. this helps other backup solutions
# to archive the backups (ie: to tape )
# run this in a cron or before the backup starts

#set -x
umount /mnt/backup/full/* /mnt/backup/incr/* >/dev/null 2>&1
umount /mnt/backup/full/* /mnt/backup/incr/* >/dev/null 2>&1
echo >/root/mount.log

cd  /backuppc/backuppc/pc/
for i in */backups; do
	test -d /mnt/backup/full/${i/backups} || mkdir /mnt/backup/full/${i/backups}
	test -d /mnt/backup/incr/${i/backups} || mkdir /mnt/backup/incr/${i/backups}
	(
	 set -x
	 umount /mnt/backup/full/${i/backups}
	 umount /mnt/backup/incr/${i/backups}
	 set +x
	) >>/root/mount.log 2>&1

 	mount  --bind /backuppc/backuppc/pc/${i/backups}`(sort -k +3 $i |grep full || echo ../../null )| tail -n 1| cut -f 1` /mnt/backup/full/${i/backups}
 	mount  --bind /backuppc/backuppc/pc/${i/backups}`(sort -k +3 $i |grep incr || echo ../../null )| tail -n 1| cut -f 1` /mnt/backup/incr/${i/backups}
done
