#!/bin/bash
# GPL V3
# v1.0 higuita@gmx.net 2010-10-05

# force the reboot of broken windows after-hours
# usage: reboot-windows.sh (machine-name) | (-l)
# the -l option reboots the machines in the file
# /etc/backuppc/bin/reboot.lst
# it only reboots if outside the working hours
# can also be used to shutdown machines after the
# backup during the night
# use it in a cron or in a pre-exec

#set -x
hosts=$1

if [ "x$1" == "x-l" ]; then
	hosts=`cat /etc/backuppc/bin/reboot.lst`
fi

hour=`date +%H`

# only reboots is after 20H and before 8H... 
# please tune for your needs
if [ $hour -gt 8 ] && [ $hour -lt 20 ] ; then 
	echo "Working time, aborting the reboot"
	exit
fi
for i in $hosts ; do
	# -f = force exit
	# -r = reboot, remove it to shutdown the machine
	net rpc SHUTDOWN -C "Reboot para o backup" -f -r -I $i -U backup-admin%password

	# remove the host from the list
	sed -i "/^$i$/d" /etc/backuppc/bin/reboot.lst
done
